apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: takahe
resources:
  - configmap.yaml
  - pvc.yaml
  - deployment-webserver.yaml
  - deployment-stator.yaml
  - service.yaml
  - ingress.yaml
generators:
  - secret-generator.yaml
helmCharts:
  - name: postgresql
    releaseName: db
    version: 12.1.7
    repo: https://charts.bitnami.com/bitnami
    valuesInline:
      auth:
        username: takahe
        database: takahe
        existingSecret: postgresql-creds
        secretKeys:
          adminPasswordKey: ADMIN_PASSWORD
          userPasswordKey: USER_PASSWORD
      primary:
        persistence:
          storageClass: local-path
      metrics:
        enabled: true
        serviceMonitor:
          enabled: true
